IonCube Loader is a software instrument, that's required to run files which are encrypted with ionCube PHP Encoder. The latter is an application employed to make PHP code human unreadable, to protect it from reverse engineering or unauthorized use. A number of script-driven apps, particularly discussion forums, cms and e-commerce solutions are encoded with ionCube PHP Encoder, so when you acquire a script and you find that ionCube is on the list of hosting environment prerequisites, you need to ensure that your website hosting server has the instrument pre-installed. Though it's not that difficult to set it up when you have your own server, it is almost impossible to do that on a shared web hosting server for the reason that the PHP environment should be precompiled and all of the clients on the server will be affected.
IonCube in Shared Hosting
If you obtain a Linux shared hosting from us, it will be set up on our tailor-made cloud platform where ionCube Loader is already set up, so you won't have any kind of problems to manage any script application which requires the tool in order to function properly. Furthermore, we offer several different releases of PHP, which means that if you switch the version, you will need to enable ionCube again. Our platform remembers the changes you make, which means that when you switch back to the earlier version of PHP that was active for your account, ionCube Loader will already be activated. Both the PHP version as well as the ionCube instrument can be operated from the PHP Configuration section of our Hepsia web hosting Control Panel. Every adjustment that you do takes literally just a click and it'll take effect without delay.
IonCube in Semi-dedicated Hosting
In case you obtain a semi-dedicated server plan from us, you will be able to use any kind of script-driven application which needs ionCube Loader due to the fact that the tool is available on all the servers which are part of our revolutionary cloud web hosting platform. Furthermore, we support different releases of PHP, and if you switch from PHP 4 to 5.2 or 5.3, for instance, you can enable ionCube for that particular release with just a click in your Hepsia Control Panel. Our system will remember your choice, so in case you move back to the previous version of PHP, the tool will already be active. For more tech-savvy users, we also provide the option to select the PHP version and if ionCube will be active or not for a specific domain without altering the settings for the entire website hosting account. This is done by placing a php.ini file in a domain folder with several lines of code.